Jump to content

Delete All Dimensions


ksperopoulos

Recommended Posts

You can apply it with locked layers?

 

Will omit Dimensions in XRefs and on locked layers

 

not included,wont be process, skip, ignore,.... ;)

Link to comment
Share on other sites

  • Replies 22
  • Created
  • Last Reply

Top Posters In This Topic

  • Lee Mac

    5

  • ksperopoulos

    4

  • Tharwat

    4

  • pBe

    4

You can apply it with locked layers?

 

As stated and subsequently reiterated by pBe, not with the current code.

 

To delete Dimensions on locked layers, the layers must first be unlocked, e.g.:

 

(defun c:deldims ( / d l )
   (setq d (vla-get-activedocument (vlax-get-acad-object)))
   (vlax-for a (vla-get-layers d)
       (if (eq :vlax-true (vla-get-lock a))
           (progn
               (vla-put-lock a :vlax-false)
               (setq l (cons a l))
           )
       )
   )
   (vlax-for b (vla-get-blocks d)
       (if (eq :vlax-false (vla-get-isxref b))
           (vlax-for o b
               (if (wcmatch (vla-get-objectname o) "AcDb*Dimension*")
                   (vla-delete o)
               )
           )
       )
   )
   (foreach a l (vla-put-lock a :vlax-true))
   (vla-regen d acallviewports)
   (princ)
)
(vl-load-com) (princ)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...